Katello - Bug #6827
Systems product tab is displayed even if you do not have permission to view the contents of the

page

07/29/2014 06:04 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1124607 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/450
0
Description
Steps:

1. Create a non-admin user

2. Give them the "view_content_hosts" permission

3. Go to Hosts -> Content Hosts -> choose a Content Host -> product content
4. The page kept on loading...

Associated revisions

Revision 1eec9187 - 07/29/2014 06:16 PM - Walden Raines
Fixes #6827/BZ1124607: hide CH Product tab if you lack permission.
The Content Host Product tab was being shown even if you did not

have the correct permissions to view that page. This commit hides
the tab if you cannot view the page.

http://projects.theforeman.org/issues/6827
https://bugzilla.redhat.com/show_bug.cgi?id=1124607

Revision ¢5152247 - 07/29/2014 06:16 PM - Walden Raines
Fixes #6827/BZ1124607: hide CH Product tab if you lack permission.
The Content Host Product tab was being shown even if you did not

have the correct permissions to view that page. This commit hides
the tab if you cannot view the page.

http://projects.theforeman.org/issues/6827
https://bugzilla.redhat.com/show_bug.cgi?id=1124607

Revision e000f27d - 07/30/2014 10:19 AM - Walden Raines
Merge pull request #4500 from waldenraines/6827

Fixes #6827/BZ1124607: hide CH Product tab if you lack permission.

Revision d8681477 - 07/30/2014 10:19 AM - Walden Raines
Merge pull request #4500 from waldenraines/6827

Fixes #6827/BZ1124607: hide CH Product tab if you lack permission.

History

#1 - 07/29/2014 06:04 PM - Walden Raines
- Bugzilla link set to 1124607

#2 - 07/29/2014 06:18 PM - The Foreman Bot
http://projects.theforeman.org/issues/6827
https://bugzilla.redhat.com/show_bug.cgi?id=1124607
http://projects.theforeman.org/issues/6827
https://bugzilla.redhat.com/show_bug.cgi?id=1124607

- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4500 added
- Pull request deleted ()

#3 - 07/30/2014 11:02 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|1eec91875b0e6bf6686202422e6f0ffeb333ecd8.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
